Bug 877437 - RFE: don't file xserver backtraces when vboxvideo is loaded
Summary: RFE: don't file xserver backtraces when vboxvideo is loaded
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:991c9262badd0abca74d68d9b87...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-16 14:38 UTC by jeff
Modified: 2013-02-26 02:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:16:48 UTC
Type: ---


Attachments (Terms of Use)
File: Xorg.0.log (29.32 KB, text/plain)
2012-11-16 14:38 UTC, jeff
no flags Details
File: executable (10 bytes, text/plain)
2012-11-16 14:39 UTC, jeff
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.54 KB, text/plain)
2012-11-16 14:39 UTC, jeff
no flags Details
File: xorg.conf (1.80 KB, text/plain)
2012-11-16 14:39 UTC, jeff
no flags Details
File: dmesg (114.54 KB, text/plain)
2012-11-16 14:39 UTC, jeff
no flags Details
File: backtrace_binaries_versions (395 bytes, text/plain)
2012-11-16 14:39 UTC, jeff
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (513 bytes, text/plain)
2012-11-16 14:39 UTC, jeff
no flags Details

Description jeff 2012-11-16 14:38:56 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-2.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
kernel:         3.6.6-1.fc17.x86_64

backtrace:
:0: /usr/bin/X (xorg_backtrace+0x36) [0x4652d6]
:1: /usr/bin/X (0x400000+0x47f32) [0x447f32]
:2: /usr/lib64/xorg/modules/input/evdev_drv.so (0x7f54eb244000+0x60f5) [0x7f54eb24a0f5]
:3: /usr/bin/X (0x400000+0x807b7) [0x4807b7]
:4: /usr/bin/X (0x400000+0xa4ab0) [0x4a4ab0]
:5: /lib64/libpthread.so.0 (0x3f9da00000+0xefe0) [0x3f9da0efe0]
:6: /usr/bin/X (0x400000+0x6aba0) [0x46aba0]
:7: /lib64/libpthread.so.0 (0x3f9da00000+0xefe0) [0x3f9da0efe0]
:8: /lib64/libpixman-1.so.0 (0x3fab000000+0x55d17) [0x3fab055d17]
:9: /lib64/libpixman-1.so.0 (0x3fab000000+0x72a7e) [0x3fab072a7e]
:10: /lib64/libpixman-1.so.0 (pixman_fill+0x31) [0x3fab00a261]
:11: /usr/lib64/xorg/modules/libfb.so (fbFill+0x2e4) [0x7f54f6b3e884]
:12: /usr/lib64/xorg/modules/libfb.so (fbPolyFillRect+0x1b0) [0x7f54f6b3f000]
:13: /usr/bin/X (0x400000+0x10366d) [0x50366d]
:14: /usr/bin/X (0x400000+0x30dcd) [0x430dcd]
:15: /usr/bin/X (0x400000+0x3447a) [0x43447a]
:16: /usr/bin/X (0x400000+0x23485) [0x423485]
:17: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x3f9ce21735]
:18: /usr/bin/X (0x400000+0x2375d) [0x42375d]

Comment 1 jeff 2012-11-16 14:38:58 UTC
Created attachment 646339 [details]
File: Xorg.0.log

Comment 2 jeff 2012-11-16 14:39:01 UTC
Created attachment 646340 [details]
File: executable

Comment 3 jeff 2012-11-16 14:39:03 UTC
Created attachment 646341 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 4 jeff 2012-11-16 14:39:05 UTC
Created attachment 646342 [details]
File: xorg.conf

Comment 5 jeff 2012-11-16 14:39:07 UTC
Created attachment 646343 [details]
File: dmesg

Comment 6 jeff 2012-11-16 14:39:09 UTC
Created attachment 646344 [details]
File: backtrace_binaries_versions

Comment 7 jeff 2012-11-16 14:39:10 UTC
Created attachment 646345 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 8 Adam Jackson 2012-11-16 22:01:42 UTC
vboxvideo -> notourbug.

Dear abrt: please don't.

Comment 9 Jakub Filak 2012-12-08 16:08:54 UTC
fixed in git

commit 6dbe06e7ffc7d7a8f9134da93b9e764b3a13f4df
Author: Denys Vlasenko <vda.linux@googlemail.com>
Date:   Fri Nov 23 18:25:48 2012 +0100

    Improve xorg post-create. closes trac#838

Comment 10 Fedora Update System 2012-12-20 08:55:36 UTC
abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18

Comment 11 Fedora Update System 2012-12-20 09:45:59 UTC
abrt-2.0.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc17

Comment 12 Fedora Update System 2012-12-21 01:30:15 UTC
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-01-12 01:16:50 UTC
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-02-26 02:38:51 UTC
abrt-2.0.20-1.fc17, btparser-0.24-1.fc17, libreport-2.0.20-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.